2024-02-29 13:57 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002550ItCameFromTheDesert[All Projects] Generalpublic2022-04-12 23:35
Reporterjossa 
Assigned ToJOTDProject InfoIt Came From The Desert / Antheads (Cinemaware)
http://www.whdload.de/games/ItCameFromTheDesert.html
 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002550: Unsupported version? My original of Antheads comes on 2 disks, desert1 and
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: Latest from WHDLOAD site

Unsupported version? My original of Antheads comes on 2 disks, desert1 and d2_install. when the installer asks for desert2 and 3 i asume i should use the original ICTD disks, but then when trying to start i get "unsupported version" or damaged files.
(My original of ICFD works fine by itself if any help)
TagsNo tags attached.
MachineA600
CPU68030
CPUSpeed33
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17
importedyes
Attached Files
  • ? file icon .whdl_register (2,358 bytes) 2014-04-18 11:53 -
    ************************* 18-Apr-14 11:29:44 ************************18.0.5473***
    Slave='ItCameFromTheDesert2.Slave' (5052 bytes)
    ShadowMem 1043A1E0 - 1047C1E0 ( 270336) AbsolutMem    42000 -    80000 ( 253952)
    Resload   17F2A770 - 17F31EF8 (  30600) at 17F2A770  GL=$17FF20E0
    Slave     17FF9FE0 - 17FFB378 (   5016) at 17FF9FE0  BaseMemSize=$80000
    ExpMem    17F32000 - 17FF2000 ( 786432) at 17F32000
    attn=207(UAE,30) fc=-1 kn=23100 cs=72C5 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
    
    The data/disk-files are damaged or it is an unsupported version.
    regular stack:
    $17F7AA6C 05FDF6CB 05FDF6CB 17F7DB30 17FFB022 17FFB2DC 00000001 05FDF6CB 17FFAF9F
    $17F7AA8C 00000001 17F7B018 00000FA0 00000FA8 00000001 0000003E 05FDE6D7 17F771D4
    $17F7AAAC 17FFAF98 17FFAF9F 17F2A770 17F7906C 17F7AAD0 17FFB018 17F76CC0 17FFB00C
    $17F7AACC 17F6692E 00000FA0 17F77850 05FDCC3D 00000001 17F725E4 05FDEAC2 00000000
    $17F7AAEC 00000000 00000000 00000000 00000000 00000000 05FDE3F8 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx    2A614  D1D1D1D1         1       FA8         1        3E   5FDE6D7  17F7DB2C
    Ax A0A0A0A0  A1A1A1A1  17F2A770  17FFAF98  17FFAF9F  17FFB018  17F76CC0
    
                     TTSM III   XNZVC
    PC=FFFFFFFF›22m  SR %0000000000000000›1m  USP=17F7AA6C  ISP=17FF2000  MSP=7F800
    VBR=17FF30E0  SFC=5  DFC=5  CACR=2000  CAAR=0  TT0=00000000  TT1=00000000
    TC=00000000  CRP=0000000100000000  SRP=0000000100000000  MMUSR=0000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000000101100›22m dmacon=%›1m0000001111110000 adkcon=$1100
    intreq=%0000000001000000
    vposr....A300  vhposr...06DE  joy0dat..0001  joy1dat..0000  clxdat...81FE  
    pot0dat..8200  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..2022  
    deniseid.00F8  hhposr...FFFE  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000›22m  tb=CA9B<FFFF	   crb=›1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m00000111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=00003A  icr=00  sdr=00    event=000006  icr=00  sdr=00
    
    ? file icon .whdl_register (2,358 bytes) 2014-04-18 11:53 +

-Relationships
has duplicate 0004312closedJOTD Antheads one gives an unsupported error upon loading 
has duplicate 0001853closedJOTD It Came From The Desert / Antheads: hi dunno if you can help me im trying to 
has duplicate 0004249closedJOTD I've tried to install the english 1MB version. After starting comes a message 
+Relationships

-Notes

note ~0003883

Retroplay (reporter)

Last edited: 2014-04-18 16:54

View 2 revisions

SPS 0262 also seems to be unsupported.
I can provide disk images if you would like to add support.

note ~0011101

JOTD (developer)

nah it's ok I have them

note ~0011102

JOTD (developer)

Last edited: 2022-04-09 16:56

View 2 revisions

already supported but you need to create disks yourself, which people already did back in the day (you need first game too)

as stated here

http://hol.abime.net/2675

This game originally came with 2 disks: the Master Disk and the Data Disk. Both of them merely contained data, though. You required the disks from part 1, by means of which you created two disks (#2 and #3), which were your actual disks for playing.

but even like that the disk contains a different executable (bigger) which is not supported.

note ~0011105

Retroplay (reporter)

Just want to point out here here (the other ticket was closed):
Italian, Spanish and Greek translations of ICFTD1 (not Antheads) all work with v2.0.
Greek translation is available from Aminet:
http://aminet.net/package/game/patch/ICFDesert_Greek

Just as Antheads SPS 0262 has an unsupported executable, so does the unofficial Italian translation.
Disk images here, just in case.
https://mega.nz/file/z4lzwLzC#8SirUMtjz5q-fkRy8ix0o_1xANl5slpdawCpSNXgFoo

note ~0011121

JOTD (developer)

Yes, this executable is not supported, and contains a copylock like protection whereas the disk itself has no physical protection.

Looks that they wanted to obfuscate the startup code.

So it's not as easy as the other ones, but working on it.

note ~0011123

Retroplay (reporter)

Scratch what I said about the Italian Antheads not working.

If "dshell" is decrunched (Imploder) it works.

note ~0011130

JOTD (developer)

yes, installer also supports that italian fanmade version.

Now encrypted executable has been properly "cracked". That wasn't easy but I wanted to do it.

Not sure of what it brings to the game... There were already working versions of "dshell" running Antheads but for some reason that one had encryption on it.

And I love a good decryption :)
+Notes

-Issue History
Date Modified Username Field Change
2012-03-02 20:02 administrator New Issue
2012-03-02 20:02 administrator Status new => assigned
2012-03-02 20:02 administrator Assigned To => JOTD
2014-04-18 11:52 Retroplay Note Added: 0003883
2014-04-18 11:53 Retroplay File Added: .whdl_register
2014-04-18 16:54 Retroplay Note Edited: 0003883 View Revisions
2014-05-07 09:16 JOTD Priority normal => high
2020-03-08 14:38 JOTD Relationship added has duplicate 0004312
2020-03-08 14:39 JOTD Relationship added has duplicate 0001853
2020-07-12 22:49 JOTD Relationship added has duplicate 0004249
2022-04-09 16:43 JOTD Note Added: 0011101
2022-04-09 16:43 JOTD Status assigned => confirmed
2022-04-09 16:52 JOTD Note Added: 0011102
2022-04-09 16:56 JOTD Note Edited: 0011102 View Revisions
2022-04-09 21:18 Retroplay Note Added: 0011105
2022-04-11 20:59 JOTD Note Added: 0011121
2022-04-11 23:08 Retroplay Note Added: 0011123
2022-04-12 23:35 JOTD Note Added: 0011130
2022-04-12 23:35 JOTD Status confirmed => closed
2022-04-12 23:35 JOTD Resolution open => fixed
+Issue History